> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.select.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a usage group set

> Update an existing usage group set. Only the provided fields will be updated.



## OpenAPI

````yaml https://api.select.dev/public_openapi put /api/{organization_id}/usage-group-sets/{usage_group_set_id}
openapi: 3.1.0
info:
  title: SELECT API (v1)
  version: 0.1.0
servers:
  - url: https://api.select.dev/
    description: SELECT API
security: []
paths:
  /api/{organization_id}/usage-group-sets/{usage_group_set_id}:
    put:
      tags:
        - usage-group-sets
        - public-api
      summary: Update a usage group set
      description: >-
        Update an existing usage group set. Only the provided fields will be
        updated.
      operationId: >-
        update_usage_group_set_route_api__organization_id__usage_group_sets__usage_group_set_id__put
      parameters:
        - name: usage_group_set_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the usage group set to update
            title: Usage Group Set Id
          description: The ID of the usage group set to update
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicUsageGroupSetUpdate'
              description: >-
                The usage group set updates to apply. Only specified fields will
                be updated.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicUsageGroupSet'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    PublicUsageGroupSetUpdate:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: >-
            The unique identifier of the usage group set to update. Must match
            the ID in the URL path.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: The new name of the usage group set. If provided, must not be empty.
        order:
          anyOf:
            - type: integer
            - type: 'null'
          title: Order
          description: >-
            The new display order of the usage group set. If provided, must be a
            non-negative integer.
      additionalProperties: false
      type: object
      required:
        - id
      title: PublicUsageGroupSetUpdate
    PublicUsageGroupSet:
      properties:
        name:
          type: string
          title: Name
          description: >-
            The name of the usage group set. Should be unique within the
            organization and cannot be empty.
        order:
          type: integer
          title: Order
          description: >-
            The display order of the usage group set. Must be a non-negative
            integer. Lower values appear first.
        snowflake_account_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Snowflake Account Uuid
          description: >-
            DEPRECATED: This field is deprecated and will be ignored, it will be
            removed in a future version. Usage group sets are now scoped using
            team_id or default to Select organization scope.
          deprecated: true
        snowflake_organization_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Snowflake Organization Name
          description: >-
            DEPRECATED: This field is deprecated and will be ignored, it will be
            removed in a future version. Usage group sets are now scoped using
            team_id or default to Select organization scope.
          deprecated: true
        team_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Team Id
          description: >-
            The UUID of the team this usage group set is scoped to. Use team_id
            or none (for Select organization scope).
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier of the usage group set.
      additionalProperties: false
      type: object
      required:
        - name
        - order
        - id
      title: PublicUsageGroupSet
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````